> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/sdn/cloud-router/describecloudrouters.md).

# DescribeCloudRouters

## 1. 接口描述

本接口(DescribeCloudRouters)用于查询三层网络列表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称              | 必选 | 类型                                                                      | 描述                                       |
| ----------------- | -- | ----------------------------------------------------------------------- | ---------------------------------------- |
| cloudRouterIds    | 否  | Array of String                                                         | <p>三层网络的 ID 列表。</p><p>长度不超过 100 个。</p>   |
| cloudRouterName   | 否  | String                                                                  | <p>三层网络名称。</p><p>支持模糊匹配。</p>             |
| cloudRouterStatus | 否  | [BusinessStatus](/api-reference/cn/sdn/datastructure.md#businessstatus) | 三层网络的状态。                                 |
| edgePointId       | 否  | String                                                                  | 边缘连接点的 ID。                               |
| resourceGroupId   | 否  | String                                                                  | <p>资源组 ID。</p><p>不传则返回所有可见资源组内的三层网络。</p> |
| pageSize          | 否  | Integer                                                                 | <p>返回的分页大小。</p><p>默认为 20，最大为 1000。</p>   |
| pageNum           | 否  | Integer                                                                 | <p>返回的分页页码。</p><p>默认为 1。</p><p>默认值：1</p> |
| tagKeys           | 否  | Array of String                                                         | <p>根据标签键进行搜索。</p><p>最长不得超过20个标签键。</p>    |
| tags              | 否  | Array of [Tag](/api-reference/cn/sdn/datastructure.md#tag)              | <p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p>      |

## 3. 响应结果

| 参数名称       | 类型                                                                         | 描述                                                       |
| ---------- | -------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                     | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                    | 符合条件的三层网络总数量。                                            |
| dataSet    | Array of [CloudRouter](/api-reference/cn/sdn/datastructure.md#cloudrouter) | 三层网络列表。                                                  |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 获取三层网络列表**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeCloudRouters
<Common Request Params>

Request：
{}

Response：
{   
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
     "dataSet": [
        {
            "resourceGroupName":"Default Resource Group",
            "cloudRouterStatus":"RUNNING",
            "edgePoints":[
                {
                    "dataCenter":{
                        "dcId":"LAX5",
                        "cityName":"Los Angeles",
                        "areaName":"North America",
                        "dcName":"DRT",
                        "dcAddress":"600 West 7th Street Los Angeles, CA 90017",
                        "countryName":"United States"
                    },
                    "edgePointType":"PORT",
                    "ipAddress":"4.4.4.4/24",
                    "portId":"your-portId",
                    "edgePointId":"the edge point id",
                    "bgpConnection":{
                        "password":"",
                        "peerIpAddress":"4.4.4.3",
                        "localAsn":62610,
                        "peerAsn":6543
                    },
                    "createTime":"2023-10-27T07:14:46Z",
                    "edgePointName":"LAX5-1698390478681",
                    "connectivityStatus":"DOWN",
                    "bandwidthMbps":1
                },
                {
                    "dataCenter":{
                        "dcId":"SOF1",
                        "cityName":"Sofia",
                        "areaName":"Europe",
                        "dcName":"Equinix_SO2",
                        "dcAddress":"N33 Nedelcho Bonchev str, Sofia, Bulgaria",
                        "countryName":"Bulgaria"
                    },
                    "edgePointType":"PORT",
                    "vlanId":1061,
                    "ipAddress":"5.5.5.5/24",
                    "portId":"your port id",
                    "edgePointId":"the edge point id",
                    "bgpConnection":{
                        "password":"",
                        "peerIpAddress":"5.5.5.4",
                        "localAsn":62610,
                        "peerAsn":3456
                    },
                    "createTime":"2023-10-27T07:14:46Z",
                    "edgePointName":"SOF1-1698391290880",
                    "connectivityStatus":"DOWN",
                    "bandwidthMbps":1
                }
            ],
            "createTime":"2023-10-27T07:14:46Z",
            "cloudRouterId":"cloud-router-id",
            "resourceGroupId":"c91db3f4-b15e-4323-9a12-fd3f0330b74b",
            "cloudRouterName":"Test",
            "connectivityStatus":"ABNORMAL",
            "cloudRouterDescription":"",
            "expiredTime":null,
            "recycledTime":null,
            "period":null,
            "source":"CONSOLE",
            "tags":{
                "tags":[
                    {"key":"env","value":"prod"}
                ]
            }
        }
     ],
     "totalCount": 1
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
